# fixedsizearray.hpp File Reference

A fixed size array that doesn't create items until needed. More...

Go to the source code of this file.

## Data Structures
struct | CFixedSizeArrayT< Titem_, Tcapacity_ >
| fixed size array Upon construction it preallocates fixed size block of memory for all items, but doesn't construct them. More...
struct | CFixedSizeArrayT< Titem_, Tcapacity_ >::CHdr
| header for fixed size array More...

## Detailed Description

A fixed size array that doesn't create items until needed.

Definition in file fixedsizearray.hpp.